TerminologyVocabularies
Bulk upsert or delete vocabularies
Bulk upsert or delete vocabularies. Bulk operations are processed synchronously.
X-Clinia-API-Key<token>
In: header
Request Body
application/json
The request body should contain a list of vocabularies to upsert or delete.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/terminology/v1/vocabularies/bulk" \ -H "Content-Type: application/json" \ -d '{ "operations": [ { "action": "CREATE", "upsert": { "key": "string", "title": "string", "description": "string" } } ] }'{ "status": "SUCCESS", "receipts": [ { "key": "string", "status": "SUCCESS", "error": { "code": 400, "message": "string", "type": "ALREADY_EXISTS", "details": [ {} ], "additionalContext": {} } } ]}